%global snapver 20050103
%global toolname ndp
%global momorel 1

Summary: USAGI IPv6 ndp utility
Name: usagi-%{toolname}
Version: 0.0
Release: 0.%{snapver}.%{momorel}m
License: GPL
Group: System Environment/Base
Source0: ftp://ftp.linux-ipv6.org/pub/usagi/snap/split/usagi-tool-s%{snapver}.tar.bz2
NoSource: 0
Patch0: usagi-ndp-momonga.patch
Patch1: usagi-ndp-momonga2.patch
URL: http://www.linux-ipv6.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kernel-headers >= 2.6.10

%description
USAGI IPv6 ndp utility

%prep
%setup -q -n usagi
%patch0 -p1
%patch1 -p1
pushd usagi/%{toolname}
autoconf
popd

make prepare TARGET=linux26

%build
pushd usagi/libnetlink
%configure --with-linux-kernel=/usr/src/linux
make
popd

pushd usagi/%{toolname}
%configure --with-linux-kernel=/usr/src/linux
make
popd

%install
%__rm -rf  %{buildroot}
%__mkdir_p %{buildroot}/sbin

pushd usagi/%{toolname}
install -m 755 ndp %{buildroot}/sbin
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/sbin/*

%changelog
* Mon Jan 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.7a-0.20050103.1m)
- update usagi-tools to 20050103
- change TARGET=linux24 to TARGET=linux26
- add Patch1: usagi-ndp-momonga2.patch

* Fri Aug 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.7a-0.20030818.1m)
- update usagi-tools to 20030818

* Mon Aug 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-0.20030804.1m)
- update usagi-tools to 20030804

* Mon Jan 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-0.20030120.1m)
- update to usagi snap of 20030120 

* Sun Jan 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.7a-0.20030106.1m)
- USAGI IPv6 ndp utility
- all functions but -a are not implemented
- initial version
